/*
 *   @(#) $Id: SessionUtil.java 389042 2006-03-27 07:49:41Z trustin $
 *
 *   Copyright 2004 The Apache Software Foundation
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */
package org.apache.mina.util;

import org.apache.mina.common.IoSession;
import org.apache.mina.common.IoSessionConfig;
import org.apache.mina.transport.socket.nio.DatagramSessionConfig;
import org.apache.mina.transport.socket.nio.SocketSessionConfig;

/**
 * Exception utility.
 * 
 * @author The Apache Directory Project (mina-dev@directory.apache.org)
 * @version $Rev: 389042 $, $Date: 2006-03-27 16:49:41 +0900 (Mon, 27 Mar 2006) $
 */
public class SessionUtil
{
    public static void initialize( IoSession session )
    {
        IoSessionConfig cfg = session.getConfig();
        if( cfg instanceof SocketSessionConfig )
        {
            SocketSessionConfig sCfg = ( SocketSessionConfig ) cfg;
            sCfg.setReuseAddress( true );
            sCfg.setKeepAlive( true );
        }
        else if( cfg instanceof DatagramSessionConfig )
        {
            DatagramSessionConfig dCfg = ( DatagramSessionConfig ) cfg;
            dCfg.setReuseAddress( true );
        }
    }

    private SessionUtil()
    {
    }
}
