/*
 *   @(#) $Id: IoFilterMappingTest.java 389060 2006-03-27 08:14:32Z trustin $
 *
 *   Copyright 2004 The Apache Software Foundation
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */
package org.apache.mina.integration.spring;

import junit.framework.TestCase;

import org.apache.mina.common.IoFilter;
import org.easymock.MockControl;

/**
 * Tests {@link org.apache.mina.integration.spring.IoFilterMapping}.
 * 
 * @author The Apache Directory Project (mina-dev@directory.apache.org)
 * @version $Rev: 389060 $, $Date: 2006-03-27 17:14:32 +0900 (Mon, 27 Mar 2006) $
 */
public class IoFilterMappingTest extends TestCase
{
    public void testConstructor() throws Exception
    {
        IoFilter filter = ( IoFilter ) MockControl.createControl(
                IoFilter.class ).getMock();

        try
        {
            new IoFilterMapping( null, filter );
            fail( "null name. IllegalArgumentException expected." );
        }
        catch( IllegalArgumentException iae )
        {
        }
        try
        {
            new IoFilterMapping( "name", null );
            fail( "null filter. IllegalArgumentException expected." );
        }
        catch( IllegalArgumentException iae )
        {
        }

        IoFilterMapping mapping = new IoFilterMapping( "name", filter );
        assertEquals( "name", mapping.getName() );
        assertSame( filter, mapping.getFilter() );
    }
}
